GDB (xrefs)

Public Member Functions | List of all members
gdb.command.frame_filters.DisableFrameFilter Class Reference
Inheritance diagram for gdb.command.frame_filters.DisableFrameFilter:

## Public Member Functions
def | __init__ (self)
def | complete (self, text, word)
def | invoke (self, arg, from_tty)
def | __init__ (self)
def | complete (self, text, word)
def | invoke (self, arg, from_tty)

## Detailed Description

    GDB command to disable the specified frame-filter.

    Usage: disable frame-filter disable DICTIONARY [NAME]

    DICTIONARY is the name of the frame filter dictionary on which to
    operate.  If dictionary is set to "all", perform operations on all
    dictionaries.  Named dictionaries are: "global" for the global
    frame filter dictionary, "progspace" for the program space's frame
    filter dictionary.  If either all, or the two named dictionaries
    are not specified, the dictionary name is assumed to be the name
    of the object-file name.

    NAME matches the name of the frame-filter to operate on.  If
    DICTIONARY is "all", NAME is ignored.

Definition at line 242 of file frame_filters.py.

## Constructor & Destructor Documentation

## ◆ __init__() [1/2]

def gdb.command.frame_filters.DisableFrameFilter.__init__ | ( |  | self | ) |

Definition at line 258 of file frame_filters.py.

Referenced by gdb.command.frame_filters.DisableFrameFilter.__init__().

## ◆ __init__() [2/2]

def gdb.command.frame_filters.DisableFrameFilter.__init__ | ( |  | self | ) |

Definition at line 258 of file frame_filters.py.

References gdb.command.frame_filters.DisableFrameFilter.__init__().

## Member Function Documentation

## ◆ complete() [1/2]

def gdb.command.frame_filters.DisableFrameFilter.complete | ( |  | self,
|  |  | text,
|  |  | word
| ) |  |

    Completion function for both frame filter dictionary, and
    frame filter name.

Definition at line 262 of file frame_filters.py.

References gdb.command.frame_filters._complete_frame_filter_list(), gdb.command.frame_filters._complete_frame_filter_name(), and gdb.frames.return_list().

Referenced by gdb.command.frame_filters.DisableFrameFilter.complete().

## ◆ complete() [2/2]

def gdb.command.frame_filters.DisableFrameFilter.complete | ( |  | self,
|  |  | text,
|  |  | word
| ) |  |

    Completion function for both frame filter dictionary, and
    frame filter name.

Definition at line 262 of file frame_filters.py.

References gdb.command.frame_filters._complete_frame_filter_list(), gdb.command.frame_filters._complete_frame_filter_name(), gdb.command.frame_filters.DisableFrameFilter.complete(), and gdb.frames.return_list().

## ◆ invoke() [1/2]

def gdb.command.frame_filters.DisableFrameFilter.invoke | ( |  | self,
|  |  | arg,
|  |  | from_tty
| ) |  |

Definition at line 271 of file frame_filters.py.

References gdb.command.frame_filters._do_enable_frame_filter(), gdb.command.frame_filters._enable_parse_arg(), and gdb.command.frame_filters.DisableFrameFilter.invoke().

## ◆ invoke() [2/2]

def gdb.command.frame_filters.DisableFrameFilter.invoke | ( |  | self,
|  |  | arg,
|  |  | from_tty
| ) |  |

Definition at line 271 of file frame_filters.py.

References gdb.command.frame_filters._do_enable_frame_filter(), and gdb.command.frame_filters._enable_parse_arg().

Referenced by gdb.command.frame_filters.DisableFrameFilter.invoke().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/data-directory/python/gdb/command/frame_filters.py